#ifndef lint
static char const 
yyrcsid[] = "$FreeBSD: src/usr.bin/yacc/skeleton.c,v 1.28 2000/01/17 02:04:06 bde Exp $";
#endif
#include <stdlib.h>
#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define YYLEX yylex()
#define YYEMPTY -1
#define yyclearin (yychar=(YYEMPTY))
#define yyerrok (yyerrflag=0)
#define YYRECOVERING() (yyerrflag!=0)
static int yygrowstack();
#define yyparse itex2MML_yyparse
#define yylex itex2MML_yylex
#define yyerror itex2MML_yyerror
#define yychar itex2MML_yychar
#define yyval itex2MML_yyval
#define yylval itex2MML_yylval
#define yydebug itex2MML_yydebug
#define yynerrs itex2MML_yynerrs
#define yyerrflag itex2MML_yyerrflag
#define yyss itex2MML_yyss
#define yyssp itex2MML_yyssp
#define yyvs itex2MML_yyvs
#define yyvsp itex2MML_yyvsp
#define yylhs itex2MML_yylhs
#define yylen itex2MML_yylen
#define yydefred itex2MML_yydefred
#define yydgoto itex2MML_yydgoto
#define yysindex itex2MML_yysindex
#define yyrindex itex2MML_yyrindex
#define yygindex itex2MML_yygindex
#define yytable itex2MML_yytable
#define yycheck itex2MML_yycheck
#define yyname itex2MML_yyname
#define yyrule itex2MML_yyrule
#define yysslim itex2MML_yysslim
#define yystacksize itex2MML_yystacksize
#define YYPREFIX "itex2MML_yy"
#line 2 "itex2MML.y"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#define YYSTYPE char *
#define YYPARSE_PARAM_TYPE char **
#define YYPARSE_PARAM ret_str

#define yytext itex2MML_yytext

 extern int yylex ();

 extern char * yytext;

 extern int itex2MML_lineno;

 extern int itex2MML_rowposn;
 extern int itex2MML_displaymode;

 static void yyerror(char * s)
   {
     fprintf(stderr, "Line: %d Error: %s at token %s\n", itex2MML_lineno, s, yytext);
   }

 char * itex2MML_empty_string = "";

 /* Create a copy of a string, adding space for extra chars
  */
 char * itex2MML_copy_string_extra (const char * str, unsigned extra)
   {
     char * copy = malloc(extra + (str ? strlen (str) : 0) + 1);
     if (copy)
       {
	 if (str)
	   strcpy(copy, str);
	 else
	   copy[0] = 0;
       }
     return copy ? copy : itex2MML_empty_string;
   }

 /* Create a copy of a string, appending two strings
  */
 char * itex2MML_copy3 (const char * first, const char * second, const char * third)
   {
     int  first_length =  first ? strlen( first) : 0;
     int second_length = second ? strlen(second) : 0;
     int  third_length =  third ? strlen( third) : 0;

     char * copy = malloc(first_length + second_length + third_length + 1);

     if (copy)
       {
	 if (first)
	   strcpy(copy, first);
	 else
	   copy[0] = 0;

	 if (second) strcat(copy, second);
	 if ( third) strcat(copy,  third);
       }
     return copy ? copy : itex2MML_empty_string;
   }

 /* Create a copy of a string
  */
 char * itex2MML_copy_string (const char * str)
   {
     return itex2MML_copy3(str, 0, 0);
   }

 /* Create a copy of a string, appending a second string
  */
 char * itex2MML_copy2 (const char * first, const char * second)
   {
     return itex2MML_copy3(first, second, 0);
   }

 void itex2MML_free_string (char * str)
   {
     if (str && str != itex2MML_empty_string)
       free(str);
   }

#line 128 "y.tab.c"
#define YYERRCODE 256
#define CHAR 257
#define STARTMATH 258
#define STARTDMATH 259
#define ENDMATH 260
#define MI 261
#define MN 262
#define MO 263
#define PLUS 264
#define SUP 265
#define SUB 266
#define MROWOPEN 267
#define MROWCLOSE 268
#define LEFT 269
#define RIGHT 270
#define FRAC 271
#define MATHOP 272
#define MOP 273
#define MOL 274
#define MONS 275
#define MOS 276
#define MOB 277
#define SQRT 278
#define ROOT 279
#define BINOM 280
#define UNDER 281
#define OVER 282
#define OVERBRACE 283
#define UNDERBRACE 284
#define UNDEROVER 285
#define TENSOR 286
#define MULTI 287
#define ARRAY 288
#define COLSEP 289
#define ROWSEP 290
#define ARRAYOPTS 291
#define COLLAYOUT 292
#define COLALIGN 293
#define ROWALIGN 294
#define ALIGN 295
#define EQROWS 296
#define EQCOLS 297
#define ROWLINES 298
#define COLLINES 299
#define FRAME 300
#define PADDING 301
#define ATTRLIST 302
#define ITALICS 303
#define BOLD 304
#define RM 305
#define BB 306
#define ST 307
#define END 308
#define BBLOWERCHAR 309
#define BBUPPERCHAR 310
#define CALCHAR 311
#define FRAKCHAR 312
#define CAL 313
#define FRAK 314
#define ROWOPTS 315
#define TEXTSIZE 316
#define SCSIZE 317
#define SCSCSIZE 318
#define DISPLAY 319
#define TEXTSTY 320
#define TEXTBOX 321
#define TEXTSTRING 322
#define CELLOPTS 323
#define ROWSPAN 324
#define COLSPAN 325
#define THINSPACE 326
#define MEDSPACE 327
#define THICKSPACE 328
#define QUAD 329
#define QQUAD 330
#define NEGSPACE 331
#define PHANTOM 332
#define HREF 333
#define UNKNOWNCHAR 334
#define EMPTYMROW 335
#define STATLINE 336
#define TOGGLE 337
#define FGHIGHLIGHT 338
#define BGHIGHLIGHT 339
#define SPACE 340
#define INTONE 341
#define INTTWO 342
#define INTTHREE 343
#define BAR 344
#define VEC 345
#define HAT 346
#define CHECK 347
#define TILDE 348
#define DOT 349
#define DDOT 350
#define UNARYMINUS 351
#define TEXOVER 352
const short itex2MML_yylhs[] = {                                        -1,
    0,    1,    1,    1,    1,    1,    2,    3,    3,    3,
    3,    4,    4,    4,    5,    5,    5,    5,    5,    5,
    5,    5,    5,    5,    5,    8,    8,    8,    8,    8,
    8,    8,    8,    8,    8,    8,    8,    8,    8,    8,
    8,    8,    8,    8,    8,    8,    8,    8,    8,    8,
    8,    8,    8,    8,    8,    8,    8,    8,    8,    8,
    8,    8,    8,    8,    8,    8,    8,    8,    8,    8,
    8,    8,    8,    8,    8,    8,    8,    8,   58,   10,
   11,   12,    7,   13,   13,   13,   13,   13,   13,   13,
   32,   44,   54,   55,   56,   57,   45,   33,   34,   35,
   36,   37,   38,   39,   40,   41,   59,   59,   60,   60,
   42,   61,   61,   62,   43,   63,   63,   64,   46,   47,
   48,   49,   50,   51,   52,   53,   14,   14,   14,   15,
   65,   65,   66,   66,   66,   16,    6,   17,   30,   29,
   22,   23,   25,   26,   28,   27,   24,   18,   19,   20,
   21,   31,    9,    9,   68,   68,   69,   69,   69,   69,
   69,   69,   69,   69,   69,   69,   70,   71,   72,   73,
   74,   75,   76,   77,   78,   79,   67,   67,   80,   80,
   81,   81,   82,   84,   84,   85,   85,   83,   83,   83,
   86,   86,   87,   87,   87,   87,   88,   89,
};
const short itex2MML_yylen[] = {                                         2,
    1,    0,    1,    1,    2,    2,    1,    2,    2,    3,
    3,    1,    2,    1,    5,    3,    5,    3,    5,    5,
    3,    3,    2,    2,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    3,    4,    3,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    2,
    1,   10,    3,    5,    3,    3,    2,    2,    2,    2,
    2,    2,    2,    2,    2,    4,    1,    2,    1,    1,
    4,    1,    2,    1,    4,    1,    2,    1,    1,    1,
    1,    1,    1,    1,    2,    3,    5,    4,    3,    8,
    1,    2,    4,    2,    2,    3,    3,    3,    2,    2,
    2,    2,    2,    2,    2,    2,    2,    2,    3,    3,
    3,    4,    4,    8,    1,    2,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    2,    2,    2,    2,
    2,    2,    2,    2,    2,    2,    1,    3,    1,    1,
    1,    3,    5,    1,    2,    1,    1,    0,    1,    5,
    1,    2,    1,    1,    1,    1,    2,    2,
};
const short itex2MML_yydefred[] = {                                      0,
    7,    0,    0,    0,    0,    3,    4,    8,   81,   82,
   85,    0,    0,    0,    0,    0,    0,   89,   86,   87,
   88,   83,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  119,  120,  121,  122,  123,
  124,    0,    0,   79,   91,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   80,    0,   12,
   14,    0,    0,   26,   27,   28,   29,   30,   31,   32,
   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,
   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,
   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,
   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,
   73,   74,   78,    9,    0,    5,    6,   84,   24,   23,
    0,    0,    0,   90,  148,    0,    0,    0,    0,  140,
  139,    0,    0,    0,    0,  103,  104,  105,    0,    0,
    0,  100,  101,  102,   98,   99,   97,  125,    0,    0,
    0,    0,    0,    0,  141,  142,  147,  146,  145,  143,
  144,   10,    0,   13,    0,    0,    0,    0,   11,   75,
    0,  136,  149,  138,  150,  151,    0,    0,    0,    0,
    0,  131,    0,    0,    0,    0,    0,    0,  177,    0,
  180,  181,  109,  110,    0,  107,  118,    0,  116,  114,
    0,  112,  126,   93,    0,   95,   96,    0,    0,    0,
    0,    0,    0,   76,  152,  135,    0,    0,  128,  132,
    0,    0,    0,    0,  153,    0,    0,  106,  108,  115,
  117,  111,  113,    0,    0,    0,    0,    0,    0,    0,
  127,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  155,  157,  158,  159,  160,  161,  162,
  163,  164,  165,  166,  186,  187,    0,  184,    0,    0,
  193,  194,    0,  191,  195,  196,  178,  182,   94,    0,
   17,   15,   20,   19,  133,    0,  167,  168,  169,  170,
  171,  172,  173,  174,  175,  176,    0,  156,    0,  185,
  197,  198,    0,  192,    0,    0,    0,    0,    0,    0,
  130,  154,    0,    0,   92,
};
const short itex2MML_yydgoto[] = {                                       4,
    5,    6,    7,  197,   70,   71,  128,   73,   74,   75,
   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,
   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,
   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,
  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,
  116,  117,  118,  119,  120,  121,  122,  123,  205,  206,
  211,  212,  208,  209,  191,  192,  198,  263,  264,  265,
  266,  267,  268,  269,  270,  271,  272,  273,  274,  199,
  200,  201,  202,  277,  278,  283,  284,  285,  286,
};
const short itex2MML_yysindex[] = {                                   -133,
    0, 1383, 1475,    0, -133,    0,    0,    0,    0,    0,
    0, 2022, 2022, 1931, 1931, 2022, -311,    0,    0,    0,
    0,    0, 2022, 2022, 2022, 2022, 2022, 2022, 2022, 2022,
 2022, -235, -220, 2022, 2022, 2022, -290, -246, -232, 2022,
 2022, 2022, 2022, 2022, -238,    0,    0,    0,    0,    0,
    0, 2022, -230,    0,    0, -224, 2022, -208, -187, -188,
 2022, 2022, 2022, 2022, 2022, 2022, 2022,    0,  920,    0,
    0, -228, -165,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1013,    0,    0,    0,    0,    0,
 1198, 1290, 2022,    0,    0, 2022, 2022, 2022, 2022,    0,
    0, 2022, -130, -144, 1658,    0,    0,    0, -182, -180,
 -179,    0,    0,    0,    0,    0,    0,    0, 2022, 2022,
 2022, 2022, 2022, -200,    0,    0,    0,    0,    0,    0,
    0,    0, 1931,    0, 2022, 2022, 2022, 2022,    0,    0,
 -186,    0,    0,    0,    0,    0, 2022, 2022, 2022, -144,
 -185,    0, -169, -125, -121, -120, 1566, -249,    0, -141,
    0,    0,    0,    0, -170,    0,    0, -229,    0,    0,
 -234,    0,    0,    0, 2022,    0,    0, -159, 1931, -116,
 -114, -113, -110,    0,    0,    0, -108, -152,    0,    0,
 2022, -189, -149, -265,    0, 1749, 1840,    0,    0,    0,
    0,    0,    0, 2022, -155, 2022, 2022, 2022, 2022, 2022,
    0, -109, -143, -140, -139, -138, -137, -136, -135, -134,
 -132, -129, -243,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, -263,    0, -127, -126,
    0,    0, -260,    0,    0,    0,    0,    0,    0, -181,
    0,    0,    0,    0,    0, -144,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, 1749,    0, 1840,    0,
    0,    0, 1931,    0, -131, -148, -205, -141, 1566, -147,
    0,    0, -174, -128,    0,
};
const short itex2MML_yyrindex[] = {                                    172,
    0,    0,    0,    0,  178,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,  641,  734,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, -254,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
 1106,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  827,    0,    0,    0,    0,    0, -247,    0,    0, -197,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0, -250,  176,
  269,  362,  455,    0,    0,    0,  548,    0,    0,    0,
    0,    0,    0,    0,    0, -254, -254,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, -254,    0, -254,    0,
    0,    0,    0,    0,    0,    0,    0, -195, -244,    0,
    0,    0,    0,    0,    0,
};
const short itex2MML_yygindex[] = {                                      0,
    0,  174,  177,    1,  -63,    0,   -2,  185,    0,    0,
    0,    0,    2,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  -24,
    0,  -27,    0,  -23, -142, -184, -119,    0,  -77,    0,
 -211, -207,    0,    0,    0,    0,    0,    0,    0,  -49,
 -118,    0,  -48,    0,  -87,    0,  -91,    0,    0,
};
#define YYTABLESIZE 2373
const short itex2MML_yytable[] = {                                      72,
   72,  193,   69,  125,  309,  174,  230,  313,  230,  137,
  134,   72,   72,  188,  131,  132,  149,  137,  235,  137,
  189,  275,  281,  190,  307,  276,  282,  254,  255,  254,
  255,  144,  254,  255,  188,  188,  175,  176,  137,  137,
  236,  189,  189,  230,  190,  190,  145,  228,  253,  254,
  255,  256,  257,  258,  259,  260,  261,  262,  279,  280,
  150,  174,  322,  279,  280,  275,   72,  174,  174,  276,
  179,  281,  183,  242,  151,  282,   11,  210,  240,  188,
  189,  207,  229,  157,  236,   17,   18,   19,   20,   21,
   22,  159,  179,  162,  183,  188,  189,  160,  231,  177,
  178,  137,  253,  254,  255,  256,  257,  258,  259,  260,
  261,  262,  188,  189,  163,  251,  188,  189,  164,  321,
  188,  189,   72,    1,    2,    3,  203,  204,   72,   72,
  207,  230,  210,  174,  188,  189,  190,  238,  203,  204,
  218,  232,   72,  254,  255,  233,  234,  237,  245,  246,
  247,  290,  248,  316,  249,  174,  250,  296,  297,  323,
  315,  298,  299,  300,  301,  302,  303,  304,  324,  305,
   72,    2,  306,  219,  311,  312,  320,    1,  126,  325,
  239,  127,  224,  243,  241,  308,  287,  317,  288,  310,
  318,  314,    0,    0,   72,    0,  129,  130,    0,    0,
  133,    0,    0,    0,    0,    0,    0,  135,  136,  137,
  138,  139,  140,  141,  142,  143,   72,    0,  146,  147,
  148,    0,    0,    0,  152,  153,  154,  155,  156,    0,
    0,    0,    0,   72,   72,    0,  158,    0,    0,    0,
    0,  161,    0,    0,    0,  165,  166,  167,  168,  169,
  170,  171,    0,    0,    0,  174,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   72,    0,   72,    0,    0,    0,
   72,    0,    0,  319,    0,    0,   72,  182,    0,    0,
  183,  184,  185,  186,    0,    0,  187,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  213,  214,  215,  216,  217,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  220,
  221,  222,  223,    0,    0,    0,    0,    0,    0,    0,
    0,  225,  226,  227,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  244,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  252,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,  289,    0,
  291,  292,  293,  294,  295,   18,   18,   18,   18,    0,
   18,    0,   18,   18,   18,   18,   18,   18,   18,   18,
   18,   18,   18,   18,   18,   18,   18,   18,   18,   18,
   18,   18,   18,   18,   18,   18,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,   18,   18,
   18,   18,    0,    0,    0,    0,    0,    0,   18,   18,
    0,   18,   18,   18,   18,   18,   18,    0,    0,    0,
    0,   18,   18,   18,   18,   18,   18,   18,   18,   18,
   18,   18,   18,   18,   18,   18,    0,    0,    0,   18,
   18,   18,   18,   18,   18,   18,   18,   18,   16,   16,
   16,   16,    0,    0,   16,   16,   16,   16,   16,   16,
   16,   16,   16,   16,   16,   16,   16,   16,   16,   16,
   16,   16,   16,   16,   16,   16,   16,   16,   16,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,   16,   16,   16,   16,    0,    0,    0,    0,    0,
    0,   16,   16,    0,   16,   16,   16,   16,   16,   16,
    0,    0,    0,    0,   16,   16,   16,   16,   16,   16,
   16,   16,   16,   16,   16,   16,   16,   16,   16,    0,
    0,    0,   16,   16,   16,   16,   16,   16,   16,   16,
   16,   22,   22,   22,   22,    0,   22,    0,   22,   22,
   22,   22,   22,   22,   22,   22,   22,   22,   22,   22,
   22,   22,   22,   22,   22,   22,   22,   22,   22,   22,
   22,   22,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   22,   22,   22,   22,    0,    0,
    0,    0,    0,    0,   22,   22,    0,   22,   22,   22,
   22,   22,   22,    0,    0,    0,    0,   22,   22,   22,
   22,   22,   22,   22,   22,   22,   22,   22,   22,   22,
   22,   22,    0,    0,    0,   22,   22,   22,   22,   22,
   22,   22,   22,   22,   21,   21,   21,   21,    0,    0,
   21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
   21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
   21,   21,   21,   21,   21,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   21,   21,   21,
   21,    0,    0,    0,    0,    0,    0,   21,   21,    0,
   21,   21,   21,   21,   21,   21,    0,    0,    0,    0,
   21,   21,   21,   21,   21,   21,   21,   21,   21,   21,
   21,   21,   21,   21,   21,    0,    0,    0,   21,   21,
   21,   21,   21,   21,   21,   21,   21,  134,  134,  134,
  134,    0,    0,  134,  134,  134,  134,  134,  134,  134,
  134,  134,  134,  134,  134,  134,  134,  134,  134,  134,
  134,  134,  134,  134,  134,  134,  134,  134,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
  134,  134,  134,  134,    0,    0,    0,    0,    0,    0,
  134,  134,    0,  134,  134,  134,  134,  134,  134,    0,
    0,    0,    0,  134,  134,  134,  134,  134,  134,  134,
  134,  134,  134,  134,  134,  134,  134,  134,    0,    0,
    0,  134,  134,  134,  134,  134,  134,  134,  134,  134,
   84,   84,   84,   84,    0,    0,    0,   84,   84,   84,
   84,   84,   84,   84,   84,   84,   84,   84,   84,   84,
   84,   84,   84,   84,   84,   84,   84,   84,   84,   84,
   84,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   84,   84,   84,   84,    0,    0,    0,
    0,    0,    0,   84,   84,    0,   84,   84,   84,   84,
   84,   84,    0,    0,    0,    0,   84,   84,   84,   84,
   84,   84,   84,   84,   84,   84,   84,   84,   84,   84,
   84,    0,    0,    0,   84,   84,   84,   84,   84,   84,
   84,   84,   84,   25,   25,   25,   25,    0,    0,    0,
   25,   25,   25,   25,   25,   25,   25,   25,   25,   25,
   25,   25,   25,   25,   25,   25,   25,   25,   25,   25,
   25,   25,   25,   25,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,   25,   25,   25,   25,
    0,    0,    0,    0,    0,    0,   25,   25,    0,   25,
   25,   25,   25,   25,   25,    0,    0,    0,    0,   25,
   25,   25,   25,   25,   25,   25,   25,   25,   25,   25,
   25,   25,   25,   25,    0,    0,    0,   25,   25,   25,
   25,   25,   25,   25,   25,   25,  129,  129,  129,  129,
    0,    0,    0,  129,    0,  129,  129,  129,  129,  129,
  129,  129,  129,  129,  129,  129,  129,  129,  129,  129,
  129,  129,  129,  129,  129,  129,  129,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,  129,
  129,  129,  129,    0,    0,    0,    0,    0,    0,  129,
  129,    0,  129,  129,  129,  129,  129,  129,    0,    0,
    0,    0,  129,  129,  129,  129,  129,  129,  129,  129,
  129,  129,  129,  129,  129,  129,  129,    0,    0,    0,
  129,  129,  129,  129,  129,  129,  129,  129,  129,  172,
    9,   10,   11,    0,   12,   13,   14,    0,   15,    0,
   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,
   26,   27,   28,   29,   30,   31,   32,   33,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,   34,   35,   36,   37,    0,    0,    0,    0,
    0,    0,   38,   39,    0,   40,   41,   42,   43,   44,
   45,    0,    0,    0,    0,   46,   47,   48,   49,   50,
   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,
    0,    0,    0,   61,   62,   63,   64,   65,   66,   67,
   68,  173,  179,    9,   10,   11,    0,   12,   13,   14,
    0,   15,    0,   16,   17,   18,   19,   20,   21,   22,
   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,
   33,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,   34,   35,   36,   37,    0,
    0,    0,    0,    0,    0,   38,   39,    0,   40,   41,
   42,   43,   44,   45,    0,    0,    0,    0,   46,   47,
   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,
   58,   59,   60,    0,    0,    0,   61,   62,   63,   64,
   65,   66,   67,   68,  173,   77,   77,   77,    0,    0,
   77,   77,   77,   77,   77,   77,   77,    0,    0,    0,
    0,    0,    0,   77,   77,   77,   77,   77,   77,   77,
   77,   77,   77,   77,   77,   77,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,   77,   77,
   77,   77,    0,    0,    0,    0,    0,    0,   77,   77,
    0,   77,   77,   77,   77,   77,   77,    0,    0,    0,
    0,   77,   77,   77,   77,   77,   77,   77,   77,   77,
   77,   77,   77,   77,   77,   77,    0,    0,    0,   77,
   77,   77,   77,   77,   77,   77,   77,   77,    9,   10,
   11,    0,   12,   13,   14,  180,   15,    0,   16,   17,
   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,
   28,   29,   30,   31,   32,   33,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   34,   35,   36,   37,    0,    0,    0,    0,    0,    0,
   38,   39,    0,   40,   41,   42,   43,   44,   45,    0,
    0,    0,    0,   46,   47,   48,   49,   50,   51,   52,
   53,   54,   55,   56,   57,   58,   59,   60,    0,    0,
    0,   61,   62,   63,   64,   65,   66,   67,   68,  173,
    9,   10,   11,    0,   12,   13,   14,    0,   15,  181,
   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,
   26,   27,   28,   29,   30,   31,   32,   33,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,   34,   35,   36,   37,    0,    0,    0,    0,
    0,    0,   38,   39,    0,   40,   41,   42,   43,   44,
   45,    0,    0,    0,    0,   46,   47,   48,   49,   50,
   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,
    0,    0,    0,   61,   62,   63,   64,   65,   66,   67,
   68,  173,    8,    9,   10,   11,    0,   12,   13,   14,
    0,   15,    0,   16,   17,   18,   19,   20,   21,   22,
   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,
   33,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,   34,   35,   36,   37,    0,
    0,    0,    0,    0,    0,   38,   39,    0,   40,   41,
   42,   43,   44,   45,    0,    0,    0,    0,   46,   47,
   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,
   58,   59,   60,    0,    0,    0,   61,   62,   63,   64,
   65,   66,   67,   68,  124,    9,   10,   11,    0,   12,
   13,   14,    0,   15,    0,   16,   17,   18,   19,   20,
   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,
   31,   32,   33,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   34,   35,   36,
   37,    0,    0,    0,    0,    0,    0,   38,   39,    0,
   40,   41,   42,   43,   44,   45,    0,    0,    0,    0,
   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,
   56,   57,   58,   59,   60,    0,    0,    0,   61,   62,
   63,   64,   65,   66,   67,   68,    9,   10,   11,    0,
   12,   13,   14,    0,   15,    0,   16,   17,   18,   19,
   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,
   30,   31,   32,   33,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,   34,   35,
   36,   37,    0,    0,    0,    0,    0,    0,   38,   39,
    0,   40,   41,   42,   43,   44,   45,    0,    0,    0,
    0,   46,   47,   48,   49,   50,   51,   52,   53,   54,
   55,   56,   57,   58,   59,   60,    0,    0,    0,   61,
   62,   63,   64,   65,   66,   67,   68,  173,    9,   10,
   11,    0,   12,   13,   14,    0,   15,    0,   16,   17,
   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,
   28,   29,   30,   31,   32,   33,    0,    0,  194,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   34,   35,   36,   37,    0,    0,    0,    0,    0,    0,
   38,   39,  195,   40,   41,   42,   43,   44,   45,    0,
  196,    0,    0,   46,   47,   48,   49,   50,   51,   52,
   53,   54,   55,   56,   57,   58,   59,   60,    0,    0,
    0,   61,   62,   63,   64,   65,   66,   67,   68,    9,
   10,   11,    0,   12,   13,   14,    0,   15,    0,   16,
   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,
   27,   28,   29,   30,   31,   32,   33,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,   34,   35,   36,   37,    0,    0,    0,    0,    0,
    0,   38,   39,  195,   40,   41,   42,   43,   44,   45,
    0,  196,    0,    0,   46,   47,   48,   49,   50,   51,
   52,   53,   54,   55,   56,   57,   58,   59,   60,    0,
    0,    0,   61,   62,   63,   64,   65,   66,   67,   68,
    9,   10,   11,    0,   12,   13,   14,    0,   15,    0,
   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,
   26,   27,   28,   29,   30,   31,   32,   33,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,   34,   35,   36,   37,    0,    0,    0,    0,
    0,    0,   38,   39,    0,   40,   41,   42,   43,   44,
   45,    0,  196,    0,    0,   46,   47,   48,   49,   50,
   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,
    0,    0,    0,   61,   62,   63,   64,   65,   66,   67,
   68,    9,   10,   11,    0,   12,   13,   14,    0,   15,
    0,   16,   17,   18,   19,   20,   21,   22,   23,   24,
   25,   26,   27,   28,   29,   30,   31,   32,   33,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   34,   35,   36,   37,    0,    0,    0,
    0,    0,    0,   38,   39,    0,   40,   41,   42,   43,
   44,   45,    0,    0,    0,    0,   46,   47,   48,   49,
   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,
   60,    0,    0,    0,   61,   62,   63,   64,   65,   66,
   67,   68,    9,   10,   11,    0,    0,    0,   14,    0,
   15,    0,   16,   17,   18,   19,   20,   21,   22,   23,
   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   34,   35,   36,   37,    0,    0,
    0,    0,    0,    0,   38,   39,    0,   40,   41,   42,
   43,   44,   45,    0,    0,    0,    0,   46,   47,   48,
   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,
   59,   60,    0,    0,    0,   61,   62,   63,   64,   65,
   66,   67,   68,
};
const short itex2MML_yycheck[] = {                                       2,
    3,  144,    2,    3,  268,   69,  191,  268,  193,  260,
  322,   14,   15,  268,   14,   15,  307,  268,  268,  270,
  268,  233,  234,  268,  268,  233,  234,  293,  294,  293,
  294,  267,  293,  294,  289,  290,  265,  266,  289,  290,
  290,  289,  290,  228,  289,  290,  267,  190,  292,  293,
  294,  295,  296,  297,  298,  299,  300,  301,  324,  325,
  307,  125,  268,  324,  325,  277,   69,  131,  132,  277,
  268,  283,  268,  308,  307,  283,  263,  312,  308,  265,
  266,  311,  268,  322,  290,  272,  273,  274,  275,  276,
  277,  322,  290,  302,  290,  265,  266,  322,  268,  265,
  266,  352,  292,  293,  294,  295,  296,  297,  298,  299,
  300,  301,  265,  266,  302,  268,  265,  266,  307,  268,
  265,  266,  125,  257,  258,  259,  309,  310,  131,  132,
  311,  316,  312,  197,  265,  266,  267,  308,  309,  310,
  341,  267,  145,  293,  294,  267,  267,  289,  308,  266,
  265,  307,  266,  296,  265,  219,  265,  267,  302,  307,
  342,  302,  302,  302,  302,  302,  302,  302,  343,  302,
  173,    0,  302,  173,  302,  302,  308,    0,    5,  308,
  205,    5,  181,  211,  208,  263,  236,  307,  237,  277,
  309,  283,   -1,   -1,  197,   -1,   12,   13,   -1,   -1,
   16,   -1,   -1,   -1,   -1,   -1,   -1,   23,   24,   25,
   26,   27,   28,   29,   30,   31,  219,   -1,   34,   35,
   36,   -1,   -1,   -1,   40,   41,   42,   43,   44,   -1,
   -1,   -1,   -1,  236,  237,   -1,   52,   -1,   -1,   -1,
   -1,   57,   -1,   -1,   -1,   61,   62,   63,   64,   65,
   66,   67,   -1,   -1,   -1,  319,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  307,   -1,  309,   -1,   -1,   -1,
  313,   -1,   -1,  313,   -1,   -1,  319,  133,   -1,   -1,
  136,  137,  138,  139,   -1,   -1,  142,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  159,  160,  161,  162,  163,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  175,
  176,  177,  178,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  187,  188,  189,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  215,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  231,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  244,   -1,
  246,  247,  248,  249,  250,  260,  261,  262,  263,   -1,
  265,   -1,  267,  268,  269,  270,  271,  272,  273,  274,
  275,  276,  277,  278,  279,  280,  281,  282,  283,  284,
  285,  286,  287,  288,  289,  290,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  303,  304,
  305,  306,   -1,   -1,   -1,   -1,   -1,   -1,  313,  314,
   -1,  316,  317,  318,  319,  320,  321,   -1,   -1,   -1,
   -1,  326,  327,  328,  329,  330,  331,  332,  333,  334,
  335,  336,  337,  338,  339,  340,   -1,   -1,   -1,  344,
  345,  346,  347,  348,  349,  350,  351,  352,  260,  261,
  262,  263,   -1,   -1,  266,  267,  268,  269,  270,  271,
  272,  273,  274,  275,  276,  277,  278,  279,  280,  281,
  282,  283,  284,  285,  286,  287,  288,  289,  290,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  303,  304,  305,  306,   -1,   -1,   -1,   -1,   -1,
   -1,  313,  314,   -1,  316,  317,  318,  319,  320,  321,
   -1,   -1,   -1,   -1,  326,  327,  328,  329,  330,  331,
  332,  333,  334,  335,  336,  337,  338,  339,  340,   -1,
   -1,   -1,  344,  345,  346,  347,  348,  349,  350,  351,
  352,  260,  261,  262,  263,   -1,  265,   -1,  267,  268,
  269,  270,  271,  272,  273,  274,  275,  276,  277,  278,
  279,  280,  281,  282,  283,  284,  285,  286,  287,  288,
  289,  290,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  303,  304,  305,  306,   -1,   -1,
   -1,   -1,   -1,   -1,  313,  314,   -1,  316,  317,  318,
  319,  320,  321,   -1,   -1,   -1,   -1,  326,  327,  328,
  329,  330,  331,  332,  333,  334,  335,  336,  337,  338,
  339,  340,   -1,   -1,   -1,  344,  345,  346,  347,  348,
  349,  350,  351,  352,  260,  261,  262,  263,   -1,   -1,
  266,  267,  268,  269,  270,  271,  272,  273,  274,  275,
  276,  277,  278,  279,  280,  281,  282,  283,  284,  285,
  286,  287,  288,  289,  290,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  303,  304,  305,
  306,   -1,   -1,   -1,   -1,   -1,   -1,  313,  314,   -1,
  316,  317,  318,  319,  320,  321,   -1,   -1,   -1,   -1,
  326,  327,  328,  329,  330,  331,  332,  333,  334,  335,
  336,  337,  338,  339,  340,   -1,   -1,   -1,  344,  345,
  346,  347,  348,  349,  350,  351,  352,  260,  261,  262,
  263,   -1,   -1,  266,  267,  268,  269,  270,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  288,  289,  290,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  303,  304,  305,  306,   -1,   -1,   -1,   -1,   -1,   -1,
  313,  314,   -1,  316,  317,  318,  319,  320,  321,   -1,
   -1,   -1,   -1,  326,  327,  328,  329,  330,  331,  332,
  333,  334,  335,  336,  337,  338,  339,  340,   -1,   -1,
   -1,  344,  345,  346,  347,  348,  349,  350,  351,  352,
  260,  261,  262,  263,   -1,   -1,   -1,  267,  268,  269,
  270,  271,  272,  273,  274,  275,  276,  277,  278,  279,
  280,  281,  282,  283,  284,  285,  286,  287,  288,  289,
  290,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  303,  304,  305,  306,   -1,   -1,   -1,
   -1,   -1,   -1,  313,  314,   -1,  316,  317,  318,  319,
  320,  321,   -1,   -1,   -1,   -1,  326,  327,  328,  329,
  330,  331,  332,  333,  334,  335,  336,  337,  338,  339,
  340,   -1,   -1,   -1,  344,  345,  346,  347,  348,  349,
  350,  351,  352,  260,  261,  262,  263,   -1,   -1,   -1,
  267,  268,  269,  270,  271,  272,  273,  274,  275,  276,
  277,  278,  279,  280,  281,  282,  283,  284,  285,  286,
  287,  288,  289,  290,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  303,  304,  305,  306,
   -1,   -1,   -1,   -1,   -1,   -1,  313,  314,   -1,  316,
  317,  318,  319,  320,  321,   -1,   -1,   -1,   -1,  326,
  327,  328,  329,  330,  331,  332,  333,  334,  335,  336,
  337,  338,  339,  340,   -1,   -1,   -1,  344,  345,  346,
  347,  348,  349,  350,  351,  352,  260,  261,  262,  263,
   -1,   -1,   -1,  267,   -1,  269,  270,  271,  272,  273,
  274,  275,  276,  277,  278,  279,  280,  281,  282,  283,
  284,  285,  286,  287,  288,  289,  290,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  303,
  304,  305,  306,   -1,   -1,   -1,   -1,   -1,   -1,  313,
  314,   -1,  316,  317,  318,  319,  320,  321,   -1,   -1,
   -1,   -1,  326,  327,  328,  329,  330,  331,  332,  333,
  334,  335,  336,  337,  338,  339,  340,   -1,   -1,   -1,
  344,  345,  346,  347,  348,  349,  350,  351,  352,  260,
  261,  262,  263,   -1,  265,  266,  267,   -1,  269,   -1,
  271,  272,  273,  274,  275,  276,  277,  278,  279,  280,
  281,  282,  283,  284,  285,  286,  287,  288,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  303,  304,  305,  306,   -1,   -1,   -1,   -1,
   -1,   -1,  313,  314,   -1,  316,  317,  318,  319,  320,
  321,   -1,   -1,   -1,   -1,  326,  327,  328,  329,  330,
  331,  332,  333,  334,  335,  336,  337,  338,  339,  340,
   -1,   -1,   -1,  344,  345,  346,  347,  348,  349,  350,
  351,  352,  260,  261,  262,  263,   -1,  265,  266,  267,
   -1,  269,   -1,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  280,  281,  282,  283,  284,  285,  286,  287,
  288,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  303,  304,  305,  306,   -1,
   -1,   -1,   -1,   -1,   -1,  313,  314,   -1,  316,  317,
  318,  319,  320,  321,   -1,   -1,   -1,   -1,  326,  327,
  328,  329,  330,  331,  332,  333,  334,  335,  336,  337,
  338,  339,  340,   -1,   -1,   -1,  344,  345,  346,  347,
  348,  349,  350,  351,  352,  260,  261,  262,   -1,   -1,
  265,  266,  267,  268,  269,  270,  271,   -1,   -1,   -1,
   -1,   -1,   -1,  278,  279,  280,  281,  282,  283,  284,
  285,  286,  287,  288,  289,  290,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  303,  304,
  305,  306,   -1,   -1,   -1,   -1,   -1,   -1,  313,  314,
   -1,  316,  317,  318,  319,  320,  321,   -1,   -1,   -1,
   -1,  326,  327,  328,  329,  330,  331,  332,  333,  334,
  335,  336,  337,  338,  339,  340,   -1,   -1,   -1,  344,
  345,  346,  347,  348,  349,  350,  351,  352,  261,  262,
  263,   -1,  265,  266,  267,  268,  269,   -1,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  288,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  303,  304,  305,  306,   -1,   -1,   -1,   -1,   -1,   -1,
  313,  314,   -1,  316,  317,  318,  319,  320,  321,   -1,
   -1,   -1,   -1,  326,  327,  328,  329,  330,  331,  332,
  333,  334,  335,  336,  337,  338,  339,  340,   -1,   -1,
   -1,  344,  345,  346,  347,  348,  349,  350,  351,  352,
  261,  262,  263,   -1,  265,  266,  267,   -1,  269,  270,
  271,  272,  273,  274,  275,  276,  277,  278,  279,  280,
  281,  282,  283,  284,  285,  286,  287,  288,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  303,  304,  305,  306,   -1,   -1,   -1,   -1,
   -1,   -1,  313,  314,   -1,  316,  317,  318,  319,  320,
  321,   -1,   -1,   -1,   -1,  326,  327,  328,  329,  330,
  331,  332,  333,  334,  335,  336,  337,  338,  339,  340,
   -1,   -1,   -1,  344,  345,  346,  347,  348,  349,  350,
  351,  352,  260,  261,  262,  263,   -1,  265,  266,  267,
   -1,  269,   -1,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  280,  281,  282,  283,  284,  285,  286,  287,
  288,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  303,  304,  305,  306,   -1,
   -1,   -1,   -1,   -1,   -1,  313,  314,   -1,  316,  317,
  318,  319,  320,  321,   -1,   -1,   -1,   -1,  326,  327,
  328,  329,  330,  331,  332,  333,  334,  335,  336,  337,
  338,  339,  340,   -1,   -1,   -1,  344,  345,  346,  347,
  348,  349,  350,  351,  260,  261,  262,  263,   -1,  265,
  266,  267,   -1,  269,   -1,  271,  272,  273,  274,  275,
  276,  277,  278,  279,  280,  281,  282,  283,  284,  285,
  286,  287,  288,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  303,  304,  305,
  306,   -1,   -1,   -1,   -1,   -1,   -1,  313,  314,   -1,
  316,  317,  318,  319,  320,  321,   -1,   -1,   -1,   -1,
  326,  327,  328,  329,  330,  331,  332,  333,  334,  335,
  336,  337,  338,  339,  340,   -1,   -1,   -1,  344,  345,
  346,  347,  348,  349,  350,  351,  261,  262,  263,   -1,
  265,  266,  267,   -1,  269,   -1,  271,  272,  273,  274,
  275,  276,  277,  278,  279,  280,  281,  282,  283,  284,
  285,  286,  287,  288,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  303,  304,
  305,  306,   -1,   -1,   -1,   -1,   -1,   -1,  313,  314,
   -1,  316,  317,  318,  319,  320,  321,   -1,   -1,   -1,
   -1,  326,  327,  328,  329,  330,  331,  332,  333,  334,
  335,  336,  337,  338,  339,  340,   -1,   -1,   -1,  344,
  345,  346,  347,  348,  349,  350,  351,  352,  261,  262,
  263,   -1,  265,  266,  267,   -1,  269,   -1,  271,  272,
  273,  274,  275,  276,  277,  278,  279,  280,  281,  282,
  283,  284,  285,  286,  287,  288,   -1,   -1,  291,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  303,  304,  305,  306,   -1,   -1,   -1,   -1,   -1,   -1,
  313,  314,  315,  316,  317,  318,  319,  320,  321,   -1,
  323,   -1,   -1,  326,  327,  328,  329,  330,  331,  332,
  333,  334,  335,  336,  337,  338,  339,  340,   -1,   -1,
   -1,  344,  345,  346,  347,  348,  349,  350,  351,  261,
  262,  263,   -1,  265,  266,  267,   -1,  269,   -1,  271,
  272,  273,  274,  275,  276,  277,  278,  279,  280,  281,
  282,  283,  284,  285,  286,  287,  288,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,  303,  304,  305,  306,   -1,   -1,   -1,   -1,   -1,
   -1,  313,  314,  315,  316,  317,  318,  319,  320,  321,
   -1,  323,   -1,   -1,  326,  327,  328,  329,  330,  331,
  332,  333,  334,  335,  336,  337,  338,  339,  340,   -1,
   -1,   -1,  344,  345,  346,  347,  348,  349,  350,  351,
  261,  262,  263,   -1,  265,  266,  267,   -1,  269,   -1,
  271,  272,  273,  274,  275,  276,  277,  278,  279,  280,
  281,  282,  283,  284,  285,  286,  287,  288,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  303,  304,  305,  306,   -1,   -1,   -1,   -1,
   -1,   -1,  313,  314,   -1,  316,  317,  318,  319,  320,
  321,   -1,  323,   -1,   -1,  326,  327,  328,  329,  330,
  331,  332,  333,  334,  335,  336,  337,  338,  339,  340,
   -1,   -1,   -1,  344,  345,  346,  347,  348,  349,  350,
  351,  261,  262,  263,   -1,  265,  266,  267,   -1,  269,
   -1,  271,  272,  273,  274,  275,  276,  277,  278,  279,
  280,  281,  282,  283,  284,  285,  286,  287,  288,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  303,  304,  305,  306,   -1,   -1,   -1,
   -1,   -1,   -1,  313,  314,   -1,  316,  317,  318,  319,
  320,  321,   -1,   -1,   -1,   -1,  326,  327,  328,  329,
  330,  331,  332,  333,  334,  335,  336,  337,  338,  339,
  340,   -1,   -1,   -1,  344,  345,  346,  347,  348,  349,
  350,  351,  261,  262,  263,   -1,   -1,   -1,  267,   -1,
  269,   -1,  271,  272,  273,  274,  275,  276,  277,  278,
  279,  280,  281,  282,  283,  284,  285,  286,  287,  288,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  303,  304,  305,  306,   -1,   -1,
   -1,   -1,   -1,   -1,  313,  314,   -1,  316,  317,  318,
  319,  320,  321,   -1,   -1,   -1,   -1,  326,  327,  328,
  329,  330,  331,  332,  333,  334,  335,  336,  337,  338,
  339,  340,   -1,   -1,   -1,  344,  345,  346,  347,  348,
  349,  350,  351,
};
#define YYFINAL 4
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
#define YYMAXTOKEN 352
#if YYDEBUG
const char * const itex2MML_yyname[] = {
"end-of-file",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"CHAR","STARTMATH","STARTDMATH",
"ENDMATH","MI","MN","MO","PLUS","SUP","SUB","MROWOPEN","MROWCLOSE","LEFT",
"RIGHT","FRAC","MATHOP","MOP","MOL","MONS","MOS","MOB","SQRT","ROOT","BINOM",
"UNDER","OVER","OVERBRACE","UNDERBRACE","UNDEROVER","TENSOR","MULTI","ARRAY",
"COLSEP","ROWSEP","ARRAYOPTS","COLLAYOUT","COLALIGN","ROWALIGN","ALIGN",
"EQROWS","EQCOLS","ROWLINES","COLLINES","FRAME","PADDING","ATTRLIST","ITALICS",
"BOLD","RM","BB","ST","END","BBLOWERCHAR","BBUPPERCHAR","CALCHAR","FRAKCHAR",
"CAL","FRAK","ROWOPTS","TEXTSIZE","SCSIZE","SCSCSIZE","DISPLAY","TEXTSTY",
"TEXTBOX","TEXTSTRING","CELLOPTS","ROWSPAN","COLSPAN","THINSPACE","MEDSPACE",
"THICKSPACE","QUAD","QQUAD","NEGSPACE","PHANTOM","HREF","UNKNOWNCHAR",
"EMPTYMROW","STATLINE","TOGGLE","FGHIGHLIGHT","BGHIGHLIGHT","SPACE","INTONE",
"INTTWO","INTTHREE","BAR","VEC","HAT","CHECK","TILDE","DOT","DDOT","UNARYMINUS",
"TEXOVER",
};
const char * const itex2MML_yyrule[] = {
"$accept : doc",
"doc : xmlmmlTermList",
"xmlmmlTermList :",
"xmlmmlTermList : char",
"xmlmmlTermList : expression",
"xmlmmlTermList : xmlmmlTermList char",
"xmlmmlTermList : xmlmmlTermList expression",
"char : CHAR",
"expression : STARTMATH ENDMATH",
"expression : STARTDMATH ENDMATH",
"expression : STARTMATH compoundTermList ENDMATH",
"expression : STARTDMATH compoundTermList ENDMATH",
"compoundTermList : compoundTerm",
"compoundTermList : compoundTermList compoundTerm",
"compoundTermList : texover",
"compoundTerm : mob SUB closedTerm SUP closedTerm",
"compoundTerm : mob SUB closedTerm",
"compoundTerm : mob SUP closedTerm SUB closedTerm",
"compoundTerm : mob SUP closedTerm",
"compoundTerm : closedTerm SUB closedTerm SUP closedTerm",
"compoundTerm : closedTerm SUP closedTerm SUB closedTerm",
"compoundTerm : closedTerm SUB closedTerm",
"compoundTerm : closedTerm SUP closedTerm",
"compoundTerm : SUB closedTerm",
"compoundTerm : SUP closedTerm",
"compoundTerm : closedTerm",
"closedTerm : array",
"closedTerm : unaryminus",
"closedTerm : mi",
"closedTerm : mn",
"closedTerm : mo",
"closedTerm : tensor",
"closedTerm : multi",
"closedTerm : mfrac",
"closedTerm : binom",
"closedTerm : msqrt",
"closedTerm : mroot",
"closedTerm : munder",
"closedTerm : mover",
"closedTerm : bar",
"closedTerm : vec",
"closedTerm : hat",
"closedTerm : dot",
"closedTerm : ddot",
"closedTerm : check",
"closedTerm : tilde",
"closedTerm : moverbrace",
"closedTerm : munderbrace",
"closedTerm : munderover",
"closedTerm : emptymrow",
"closedTerm : displaystyle",
"closedTerm : textstyle",
"closedTerm : textsize",
"closedTerm : scriptsize",
"closedTerm : scriptscriptsize",
"closedTerm : italics",
"closedTerm : bold",
"closedTerm : roman",
"closedTerm : bbold",
"closedTerm : frak",
"closedTerm : cal",
"closedTerm : space",
"closedTerm : textstring",
"closedTerm : thinspace",
"closedTerm : medspace",
"closedTerm : thickspace",
"closedTerm : quad",
"closedTerm : qquad",
"closedTerm : negspace",
"closedTerm : phantom",
"closedTerm : href",
"closedTerm : statusline",
"closedTerm : toggle",
"closedTerm : fghighlight",
"closedTerm : bghighlight",
"closedTerm : MROWOPEN compoundTermList MROWCLOSE",
"closedTerm : LEFT compoundTermList RIGHT mo",
"closedTerm : LEFT compoundTermList RIGHT",
"closedTerm : unrecognized",
"unrecognized : UNKNOWNCHAR",
"unaryminus : UNARYMINUS",
"mi : MI",
"mn : MN",
"mob : MOB",
"mo : mob",
"mo : MO",
"mo : MOL",
"mo : MONS",
"mo : MOS",
"mo : MOP",
"mo : MATHOP TEXTSTRING",
"emptymrow : EMPTYMROW",
"space : SPACE ST INTONE END ST INTTWO END ST INTTHREE END",
"statusline : STATLINE TEXTSTRING closedTerm",
"toggle : TOGGLE closedTerm closedTerm closedTerm closedTerm",
"fghighlight : FGHIGHLIGHT ATTRLIST closedTerm",
"bghighlight : BGHIGHLIGHT ATTRLIST closedTerm",
"textstring : TEXTBOX TEXTSTRING",
"displaystyle : DISPLAY closedTerm",
"textstyle : TEXTSTY closedTerm",
"textsize : TEXTSIZE closedTerm",
"scriptsize : SCSIZE closedTerm",
"scriptscriptsize : SCSCSIZE closedTerm",
"italics : ITALICS closedTerm",
"bold : BOLD closedTerm",
"roman : RM closedTerm",
"bbold : BB ST bbletters END",
"bbletters : bbletter",
"bbletters : bbletters bbletter",
"bbletter : BBLOWERCHAR",
"bbletter : BBUPPERCHAR",
"frak : FRAK ST frakletters END",
"frakletters : frakletter",
"frakletters : frakletters frakletter",
"frakletter : FRAKCHAR",
"cal : CAL ST calletters END",
"calletters : calletter",
"calletters : calletters calletter",
"calletter : CALCHAR",
"thinspace : THINSPACE",
"medspace : MEDSPACE",
"thickspace : THICKSPACE",
"quad : QUAD",
"qquad : QQUAD",
"negspace : NEGSPACE",
"phantom : PHANTOM closedTerm",
"href : HREF TEXTSTRING closedTerm",
"tensor : TENSOR closedTerm MROWOPEN subsupList MROWCLOSE",
"tensor : TENSOR closedTerm subsupList MROWCLOSE",
"tensor : TENSOR closedTerm subsupList",
"multi : MULTI MROWOPEN subsupList MROWCLOSE closedTerm MROWOPEN subsupList MROWCLOSE",
"subsupList : subsupTerm",
"subsupList : subsupList subsupTerm",
"subsupTerm : SUB closedTerm SUP closedTerm",
"subsupTerm : SUB closedTerm",
"subsupTerm : SUP closedTerm",
"mfrac : FRAC closedTerm closedTerm",
"texover : compoundTermList TEXOVER compoundTermList",
"binom : BINOM closedTerm closedTerm",
"munderbrace : UNDERBRACE closedTerm",
"moverbrace : OVERBRACE closedTerm",
"bar : BAR closedTerm",
"vec : VEC closedTerm",
"dot : DOT closedTerm",
"ddot : DDOT closedTerm",
"tilde : TILDE closedTerm",
"check : CHECK closedTerm",
"hat : HAT closedTerm",
"msqrt : SQRT closedTerm",
"mroot : ROOT closedTerm closedTerm",
"munder : UNDER closedTerm closedTerm",
"mover : OVER closedTerm closedTerm",
"munderover : UNDEROVER closedTerm closedTerm closedTerm",
"array : ARRAY MROWOPEN tableRowList MROWCLOSE",
"array : ARRAY MROWOPEN ARRAYOPTS MROWOPEN arrayopts MROWCLOSE tableRowList MROWCLOSE",
"arrayopts : anarrayopt",
"arrayopts : arrayopts anarrayopt",
"anarrayopt : collayout",
"anarrayopt : colalign",
"anarrayopt : rowalign",
"anarrayopt : align",
"anarrayopt : eqrows",
"anarrayopt : eqcols",
"anarrayopt : rowlines",
"anarrayopt : collines",
"anarrayopt : frame",
"anarrayopt : padding",
"collayout : COLLAYOUT ATTRLIST",
"colalign : COLALIGN ATTRLIST",
"rowalign : ROWALIGN ATTRLIST",
"align : ALIGN ATTRLIST",
"eqrows : EQROWS ATTRLIST",
"eqcols : EQCOLS ATTRLIST",
"rowlines : ROWLINES ATTRLIST",
"collines : COLLINES ATTRLIST",
"frame : FRAME ATTRLIST",
"padding : PADDING ATTRLIST",
"tableRowList : tableRow",
"tableRowList : tableRowList ROWSEP tableRow",
"tableRow : simpleTableRow",
"tableRow : optsTableRow",
"simpleTableRow : tableCell",
"simpleTableRow : simpleTableRow COLSEP tableCell",
"optsTableRow : ROWOPTS MROWOPEN rowopts MROWCLOSE simpleTableRow",
"rowopts : arowopt",
"rowopts : rowopts arowopt",
"arowopt : colalign",
"arowopt : rowalign",
"tableCell :",
"tableCell : compoundTermList",
"tableCell : CELLOPTS MROWOPEN cellopts MROWCLOSE compoundTermList",
"cellopts : acellopt",
"cellopts : cellopts acellopt",
"acellopt : colalign",
"acellopt : rowalign",
"acellopt : rowspan",
"acellopt : colspan",
"rowspan : ROWSPAN ATTRLIST",
"colspan : COLSPAN ATTRLIST",
};
#endif
#ifndef YYSTYPE
typedef int YYSTYPE;
#endif
#if YYDEBUG
#include <stdio.h>
#endif
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 10000
#define YYMAXDEPTH 10000
#endif
#endif
#define YYINITSTACKSIZE 200
int yydebug;
int yynerrs;
int yyerrflag;
int yychar;
short *yyssp;
YYSTYPE *yyvsp;
YYSTYPE yyval;
YYSTYPE yylval;
short *yyss;
short *yysslim;
YYSTYPE *yyvs;
int yystacksize;
/* allocate initial stack or double stack size, up to YYMAXDEPTH */
static int yygrowstack()
{
    int newsize, i;
    short *newss;
    YYSTYPE *newvs;

    if ((newsize = yystacksize) == 0)
        newsize = YYINITSTACKSIZE;
    else if (newsize >= YYMAXDEPTH)
        return -1;
    else if ((newsize *= 2) > YYMAXDEPTH)
        newsize = YYMAXDEPTH;
    i = yyssp - yyss;
    newss = yyss ? (short *)realloc(yyss, newsize * sizeof *newss) :
      (short *)malloc(newsize * sizeof *newss);
    if (newss == NULL)
        return -1;
    yyss = newss;
    yyssp = newss + i;
    newvs = yyvs ? (YYSTYPE *)realloc(yyvs, newsize * sizeof *newvs) :
      (YYSTYPE *)malloc(newsize * sizeof *newvs);
    if (newvs == NULL)
        return -1;
    yyvs = newvs;
    yyvsp = newvs + i;
    yystacksize = newsize;
    yysslim = yyss + newsize - 1;
    return 0;
}

#define YYABORT goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR goto yyerrlab

#ifndef YYPARSE_PARAM
#if defined(__cplusplus) || __STDC__
#define YYPARSE_PARAM_ARG void
#define YYPARSE_PARAM_DECL
#else	/* ! ANSI-C/C++ */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif	/* ANSI-C/C++ */
#else	/* YYPARSE_PARAM */
#ifndef YYPARSE_PARAM_TYPE
#define YYPARSE_PARAM_TYPE void *
#endif
#if defined(__cplusplus) || __STDC__
#define YYPARSE_PARAM_ARG YYPARSE_PARAM_TYPE YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else	/* ! ANSI-C/C++ */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL YYPARSE_PARAM_TYPE YYPARSE_PARAM;
#endif	/* ANSI-C/C++ */
#endif	/* ! YYPARSE_PARAM */

int
yyparse (YYPARSE_PARAM_ARG)
    YYPARSE_PARAM_DECL
{
    register int yym, yyn, yystate;
#if YYDEBUG
    register const char *yys;

    if ((yys = getenv("YYDEBUG")))
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = (-1);

    if (yyss == NULL && yygrowstack()) goto yyoverflow;
    yyssp = yyss;
    yyvsp = yyvs;
    *yyssp = yystate = 0;

yyloop:
    if ((yyn = yydefred[yystate])) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, reading %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: state %d, shifting to state %d\n",
                    YYPREFIX, yystate, yytable[yyn]);
#endif
        if (yyssp >= yysslim && yygrowstack())
        {
            goto yyoverflow;
        }
        *++yyssp = yystate = yytable[yyn];
        *++yyvsp = yylval;
        yychar = (-1);
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;
#if defined(lint) || defined(__GNUC__)
    goto yynewerror;
#endif
yynewerror:
    yyerror("syntax error");
#if defined(lint) || defined(__GNUC__)
    goto yyerrlab;
#endif
yyerrlab:
    ++yynerrs;
yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yyssp]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yyssp, yytable[yyn]);
#endif
                if (yyssp >= yysslim && yygrowstack())
                {
                    goto yyoverflow;
                }
                *++yyssp = yystate = yytable[yyn];
                *++yyvsp = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: error recovery discarding state %d\n",
                            YYPREFIX, *yyssp);
#endif
                if (yyssp <= yyss) goto yyabort;
                --yyssp;
                --yyvsp;
            }
        }
    }
    else
    {
        if (yychar == 0) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = 0;
            if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
            if (!yys) yys = "illegal-symbol";
            printf("%sdebug: state %d, error recovery discards token %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
        yychar = (-1);
        goto yyloop;
    }
yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: state %d, reducing by rule %d (%s)\n",
                YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    yyval = yyvsp[1-yym];
    switch (yyn)
    {
case 1:
#line 96 "itex2MML.y"
{/* all processing done in body*/}
break;
case 2:
#line 99 "itex2MML.y"
{/* nothing - do nothing*/}
break;
case 3:
#line 100 "itex2MML.y"
{/* proc done in body*/}
break;
case 4:
#line 101 "itex2MML.y"
{/* all proc. in body*/}
break;
case 5:
#line 102 "itex2MML.y"
{/* all proc. in body*/}
break;
case 6:
#line 103 "itex2MML.y"
{/* all proc. in body*/}
break;
case 7:
#line 105 "itex2MML.y"
{printf("%s", yyvsp[0]);}
break;
case 8:
#line 107 "itex2MML.y"
{/* empty math group - ignore*/}
break;
case 9:
#line 108 "itex2MML.y"
{/* ditto */}
break;
case 10:
#line 109 "itex2MML.y"
{
  char * s = itex2MML_copy3("<math xmlns='http://www.w3.org/1998/Math/MathML' display='inline'>", yyvsp[-1], "</math>");
  itex2MML_free_string(yyvsp[-1]);
  (*ret_str) = (s == itex2MML_empty_string) ? 0 : s;
}
break;
case 11:
#line 114 "itex2MML.y"
{
  char * s = itex2MML_copy3("<math xmlns='http://www.w3.org/1998/Math/MathML' display='block'>", yyvsp[-1], "</math>");
  itex2MML_free_string(yyvsp[-1]);
  (*ret_str) = (s == itex2MML_empty_string) ? 0 : s;
}
break;
case 12:
#line 120 "itex2MML.y"
{
  yyval = itex2MML_copy2(yyvsp[0], "\n");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 13:
#line 124 "itex2MML.y"
{
  yyval = itex2MML_copy2(yyvsp[-1], yyvsp[0]);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 15:
#line 131 "itex2MML.y"
{
  if (itex2MML_displaymode == 1) {
    char * s1 = itex2MML_copy3("<munderover>", yyvsp[-4], " ");
    char * s2 = itex2MML_copy3(yyvsp[-2], " ", yyvsp[0]);
    yyval = itex2MML_copy3(s1, s2, "</munderover>");
    itex2MML_free_string(s1);
    itex2MML_free_string(s2);
  }
  else {
    char * s1 = itex2MML_copy3("<msubsup>", yyvsp[-4], " ");
    char * s2 = itex2MML_copy3(yyvsp[-2], " ", yyvsp[0]);
    yyval = itex2MML_copy3(s1, s2, "</msubsup>");
    itex2MML_free_string(s1);
    itex2MML_free_string(s2);
  }
  itex2MML_free_string(yyvsp[-4]);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 16:
#line 150 "itex2MML.y"
{
  if (itex2MML_displaymode == 1) {
    char * s1 = itex2MML_copy3("<munder>", yyvsp[-2], " ");
    yyval = itex2MML_copy3(s1, yyvsp[0], "</munder>");
    itex2MML_free_string(s1);
  }
  else {
    char * s1 = itex2MML_copy3("<msub>", yyvsp[-2], " ");
    yyval = itex2MML_copy3(s1, yyvsp[0], "</msub>");
    itex2MML_free_string(s1);
  }
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 17:
#line 164 "itex2MML.y"
{
  if (itex2MML_displaymode == 1) {
    char * s1 = itex2MML_copy3("<munderover>", yyvsp[-4], " ");
    char * s2 = itex2MML_copy3(yyvsp[0], " ", yyvsp[-2]);
    yyval = itex2MML_copy3(s1, s2, "</munderover>");
    itex2MML_free_string(s1);
    itex2MML_free_string(s2);
  }
  else {
    char * s1 = itex2MML_copy3("<msubsup>", yyvsp[-4], " ");
    char * s2 = itex2MML_copy3(yyvsp[0], " ", yyvsp[-2]);
    yyval = itex2MML_copy3(s1, s2, "</msubsup>");
    itex2MML_free_string(s1);
    itex2MML_free_string(s2);
  }
  itex2MML_free_string(yyvsp[-4]);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 18:
#line 183 "itex2MML.y"
{
  if (itex2MML_displaymode == 1) {
    char * s1 = itex2MML_copy3("<mover>", yyvsp[-2], " ");
    yyval = itex2MML_copy3(s1, yyvsp[0], "</mover>");
    itex2MML_free_string(s1);
  }
  else {
    char * s1 = itex2MML_copy3("<msup>", yyvsp[-2], " ");
    yyval = itex2MML_copy3(s1, yyvsp[0], "</msup>");
    itex2MML_free_string(s1);
  }
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 19:
#line 197 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<msubsup>", yyvsp[-4], " ");
  char * s2 = itex2MML_copy3(yyvsp[-2], " ", yyvsp[0]);
  yyval = itex2MML_copy3(s1, s2, "</msubsup>");
  itex2MML_free_string(s1);
  itex2MML_free_string(s2);
  itex2MML_free_string(yyvsp[-4]);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 20:
#line 207 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<msubsup>", yyvsp[-4], " ");
  char * s2 = itex2MML_copy3(yyvsp[0], " ", yyvsp[-2]);
  yyval = itex2MML_copy3(s1, s2, "</msubsup>");
  itex2MML_free_string(s1);
  itex2MML_free_string(s2);
  itex2MML_free_string(yyvsp[-4]);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 21:
#line 217 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<msub>", yyvsp[-2], " ");
  yyval = itex2MML_copy3(s1, yyvsp[0], "</msub>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 22:
#line 224 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<msup>", yyvsp[-2], " ");
  yyval = itex2MML_copy3(s1, yyvsp[0], "</msup>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 23:
#line 231 "itex2MML.y"
{
  yyval = itex2MML_copy3("<msub><mo></mo>", yyvsp[0], "</msub>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 24:
#line 235 "itex2MML.y"
{
  yyval = itex2MML_copy3("<msup><mo></mo>", yyvsp[0], "</msup>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 25:
#line 239 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 28:
#line 246 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mi>", yyvsp[0], "</mi>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 29:
#line 250 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mn>", yyvsp[0], "</mn>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 75:
#line 299 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mrow>", yyvsp[-1], "</mrow>");
  itex2MML_free_string(yyvsp[-1]);
}
break;
case 76:
#line 303 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mrow>", yyvsp[-2], " ");
  yyval = itex2MML_copy3(s1, yyvsp[0], "</mrow>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 77:
#line 310 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mrow>", yyvsp[-1], "</mrow>");
  itex2MML_free_string(yyvsp[-1]);
}
break;
case 79:
#line 316 "itex2MML.y"
{
  yyval = itex2MML_copy_string("<merror>Unknown character</merror>");
}
break;
case 80:
#line 320 "itex2MML.y"
{
  yyval = itex2MML_copy_string("<mo lspace=\"verythinmathspace\" rspace=\"0em\">-</mo>");
}
break;
case 83:
#line 328 "itex2MML.y"
{
  itex2MML_rowposn = 2;
  yyval = itex2MML_copy3("<mo lspace=\"thinmathspace\" rspace=\"thinmathspace\">", yyvsp[0], "</mo>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 85:
#line 335 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mo>", yyvsp[0], "</mo>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 86:
#line 339 "itex2MML.y"
{
  itex2MML_rowposn = 2;
  yyval = itex2MML_copy3("<mo>", yyvsp[0], "</mo>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 87:
#line 344 "itex2MML.y"
{
  itex2MML_rowposn=2;
  yyval = itex2MML_copy3("<mo lspace=\"0em\" rspace=\"0em\">", yyvsp[0], "</mo>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 88:
#line 349 "itex2MML.y"
{
  itex2MML_rowposn=2;
  yyval = itex2MML_copy3("<mo lspace=\"mediummathspace\" rspace=\"mediummathspace\">", yyvsp[0], "</mo>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 89:
#line 354 "itex2MML.y"
{
  itex2MML_rowposn = 2;
  yyval = itex2MML_copy3("<mo lspace=\"0em\" rspace=\"thinmathspace\">", yyvsp[0], "</mo>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 90:
#line 359 "itex2MML.y"
{
  itex2MML_rowposn = 2;
  yyval = itex2MML_copy3("<mo lspace=\"0em\" rspace=\"thinmathspace\">", yyvsp[0], "</mo>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 91:
#line 365 "itex2MML.y"
{
  yyval = itex2MML_copy_string("<mrow></mrow>");
}
break;
case 92:
#line 369 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mspace height=\"", yyvsp[-7], "ex\" depth=\"");
  char * s2 = itex2MML_copy3(yyvsp[-4], "ex\" width=\"", yyvsp[-1]);
  yyval = itex2MML_copy3(s1, s2, "em\"/>");
  itex2MML_free_string(s1);
  itex2MML_free_string(s2);
  itex2MML_free_string(yyvsp[-7]);
  itex2MML_free_string(yyvsp[-4]);
  itex2MML_free_string(yyvsp[-1]);
}
break;
case 93:
#line 380 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<maction actiontype=\"statusline\">", yyvsp[0], "<mtext>");
  yyval = itex2MML_copy3(s1, yyvsp[-1], "</mtext></maction>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 94:
#line 388 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<maction actiontype=\"toggle\" selection=\"2\">", yyvsp[-3], " ");
  yyval = itex2MML_copy3(s1, yyvsp[-2], "</maction>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-3]);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 95:
#line 398 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<maction actiontype=\"highlight\" other='color=", yyvsp[-1], "'>");
  yyval = itex2MML_copy3(s1, yyvsp[0], "</maction>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 96:
#line 406 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<maction actiontype=\"highlight\" other='background=", yyvsp[-1], "'>");
  yyval = itex2MML_copy3(s1, yyvsp[0], "</maction>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 97:
#line 414 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mtext>", yyvsp[0], "</mtext>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 98:
#line 419 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mstyle displaystyle=\"true\">", yyvsp[0], "</mstyle>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 99:
#line 424 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mstyle displaystyle=\"false\">", yyvsp[0], "</mstyle>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 100:
#line 429 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mstyle scriptlevel=\"0\">", yyvsp[0], "</mstyle>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 101:
#line 434 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mstyle scriptlevel=\"1\">", yyvsp[0], "</mstyle>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 102:
#line 439 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mstyle scriptlevel=\"2\">", yyvsp[0], "</mstyle>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 103:
#line 444 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mstyle fontstyle=\"italic\">", yyvsp[0], "</mstyle>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 104:
#line 449 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mstyle fontweight=\"bold\">", yyvsp[0], "</mstyle>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 105:
#line 454 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mstyle fontstyle=\"normal\" fontweight=\"normal\">", yyvsp[0], "</mstyle>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 106:
#line 459 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mi>", yyvsp[-1], "</mi>");
  itex2MML_free_string(yyvsp[-1]);
}
break;
case 107:
#line 464 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 108:
#line 468 "itex2MML.y"
{
  yyval = itex2MML_copy2(yyvsp[-1], yyvsp[0]);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 109:
#line 474 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 110:
#line 478 "itex2MML.y"
{
  yyval = itex2MML_copy3("&", yyvsp[0], "opf;");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 111:
#line 483 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mi>", yyvsp[-1], "</mi>");
  itex2MML_free_string(yyvsp[-1]);
}
break;
case 112:
#line 488 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 113:
#line 492 "itex2MML.y"
{
  yyval = itex2MML_copy2(yyvsp[-1], yyvsp[0]);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 114:
#line 498 "itex2MML.y"
{
  yyval = itex2MML_copy3("&", yyvsp[0], "fr;");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 115:
#line 503 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mi>", yyvsp[-1], "</mi>");
  itex2MML_free_string(yyvsp[-1]);
}
break;
case 116:
#line 508 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 117:
#line 512 "itex2MML.y"
{
  yyval = itex2MML_copy2(yyvsp[-1], yyvsp[0]);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 118:
#line 518 "itex2MML.y"
{
  yyval = itex2MML_copy3("&", yyvsp[0], "scr;");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 119:
#line 523 "itex2MML.y"
{
  yyval = itex2MML_copy_string("<mspace width=\"thinmathspace\"/>");
}
break;
case 120:
#line 527 "itex2MML.y"
{
  yyval = itex2MML_copy_string("<mspace width=\"mediummathspace\"/>");
}
break;
case 121:
#line 531 "itex2MML.y"
{
  yyval = itex2MML_copy_string("<mspace width=\"thickmathspace\"/>");
}
break;
case 122:
#line 535 "itex2MML.y"
{
  yyval = itex2MML_copy_string("<mspace width=\"1em\"/>");
}
break;
case 123:
#line 539 "itex2MML.y"
{
  yyval = itex2MML_copy_string("<mspace width=\"2em\"/>");
}
break;
case 124:
#line 543 "itex2MML.y"
{
  yyval = itex2MML_copy_string("<mspace width=\"-0.1667 em\"/>");
}
break;
case 125:
#line 547 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mphantom>", yyvsp[0], "</mphantom>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 126:
#line 552 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mrow xlink:type=\"simple\" xlink:show=\"replace\" xlink:href=\"", yyvsp[-1], "\">");
  yyval = itex2MML_copy3(s1, yyvsp[0], "</mrow>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 127:
#line 560 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mmultiscripts>", yyvsp[-3], yyvsp[-1]);
  yyval = itex2MML_copy2(s1, "</mmultiscripts>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-3]);
  itex2MML_free_string(yyvsp[-1]);
}
break;
case 128:
#line 567 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mmultiscripts>", yyvsp[-2], yyvsp[-1]);
  yyval = itex2MML_copy2(s1, "</mmultiscripts>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[-1]);
}
break;
case 129:
#line 574 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mmultiscripts>", yyvsp[-1], yyvsp[0]);
  yyval = itex2MML_copy2(s1, "</mmultiscripts>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 130:
#line 582 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mmultiscripts>", yyvsp[-3], yyvsp[-1]);
  char * s2 = itex2MML_copy3("<mprescripts/>", yyvsp[-5], "</mmultiscripts>");
  yyval = itex2MML_copy2(s1, s2);
  itex2MML_free_string(s1);
  itex2MML_free_string(s2);
  itex2MML_free_string(yyvsp[-5]);
  itex2MML_free_string(yyvsp[-3]);
  itex2MML_free_string(yyvsp[-1]);
}
break;
case 131:
#line 593 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 132:
#line 597 "itex2MML.y"
{
  yyval = itex2MML_copy3(yyvsp[-1], " ", yyvsp[0]);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 133:
#line 603 "itex2MML.y"
{
  yyval = itex2MML_copy3(yyvsp[-2], " ", yyvsp[0]);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 134:
#line 608 "itex2MML.y"
{
  yyval = itex2MML_copy2(yyvsp[0], " <none/>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 135:
#line 612 "itex2MML.y"
{
  yyval = itex2MML_copy2("<none/> ", yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 136:
#line 617 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mfrac>", yyvsp[-1], yyvsp[0]);
  yyval = itex2MML_copy2(s1, "</mfrac>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 137:
#line 625 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mfrac><mrow>", yyvsp[-2], "</mrow><mrow>");
  yyval = itex2MML_copy3(s1, yyvsp[0], "</mrow></mfrac>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 138:
#line 633 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mfrac linethickness=\"0\">", yyvsp[-1], yyvsp[0]);
  yyval = itex2MML_copy2(s1, "</mfrac>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 139:
#line 641 "itex2MML.y"
{
  yyval = itex2MML_copy3("<munder>", yyvsp[0], "<mo>&UnderBrace;</mo></munder>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 140:
#line 646 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mover>", yyvsp[0], "<mo>&OverBrace;</mo></mover>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 141:
#line 651 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mover>", yyvsp[0], "<mo>&OverBar;</mo></mover>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 142:
#line 656 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mover>", yyvsp[0], "<mo>&RightVector;</mo></mover>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 143:
#line 661 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mover>", yyvsp[0], "<mo>&dot;</mo></mover>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 144:
#line 666 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mover>", yyvsp[0], "<mo>&Dot;</mo></mover>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 145:
#line 671 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mover>", yyvsp[0], "<mo>&tilde;</mo></mover>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 146:
#line 676 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mover>", yyvsp[0], "<mo>&macr;</mo></mover>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 147:
#line 681 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mover>", yyvsp[0], "<mo>&Hat;</mo></mover>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 148:
#line 686 "itex2MML.y"
{
  yyval = itex2MML_copy3("<msqrt>", yyvsp[0], "</msqrt>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 149:
#line 691 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mroot>", yyvsp[0], yyvsp[-1]);
  yyval = itex2MML_copy2(s1, "</mroot>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 150:
#line 699 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<munder>", yyvsp[0], yyvsp[-1]);
  yyval = itex2MML_copy2(s1, "</munder>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 151:
#line 707 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mover>", yyvsp[0], yyvsp[-1]);
  yyval = itex2MML_copy2(s1, "</mover>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 152:
#line 715 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<munderover>", yyvsp[0], yyvsp[-2]);
  yyval = itex2MML_copy3(s1, yyvsp[-1], "</munderover>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 153:
#line 724 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mrow><mtable>", yyvsp[-1], "</mtable></mrow>");
  itex2MML_free_string(yyvsp[-1]);
}
break;
case 154:
#line 728 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mrow><mtable ", yyvsp[-3], ">");
  yyval = itex2MML_copy3(s1, yyvsp[-1], "</mtable></mrow>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-3]);
  itex2MML_free_string(yyvsp[-1]);
}
break;
case 155:
#line 736 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 156:
#line 740 "itex2MML.y"
{
  yyval = itex2MML_copy3(yyvsp[-1], " ", yyvsp[0]);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 157:
#line 746 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 158:
#line 750 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 159:
#line 754 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 160:
#line 758 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 161:
#line 762 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 162:
#line 766 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 163:
#line 770 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 164:
#line 774 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 165:
#line 778 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 166:
#line 782 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 167:
#line 787 "itex2MML.y"
{
  yyval = itex2MML_copy2("columnalign=", yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 168:
#line 792 "itex2MML.y"
{
  yyval = itex2MML_copy2("columnalign=", yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 169:
#line 797 "itex2MML.y"
{
  yyval = itex2MML_copy2("rowalign=", yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 170:
#line 802 "itex2MML.y"
{
  yyval = itex2MML_copy2("align=", yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 171:
#line 807 "itex2MML.y"
{
  yyval = itex2MML_copy2("equalrows=", yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 172:
#line 812 "itex2MML.y"
{
  yyval = itex2MML_copy2("equalcolumns=", yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 173:
#line 817 "itex2MML.y"
{
  yyval = itex2MML_copy2("rowlines=", yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 174:
#line 822 "itex2MML.y"
{
  yyval = itex2MML_copy2("columnlines=", yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 175:
#line 827 "itex2MML.y"
{
  yyval = itex2MML_copy2("frame=", yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 176:
#line 832 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("rowspacing=", yyvsp[0], " columnspacing=");
  yyval = itex2MML_copy2(s1, yyvsp[0]);
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 177:
#line 839 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 178:
#line 843 "itex2MML.y"
{
  yyval = itex2MML_copy3(yyvsp[-2], " ", yyvsp[0]);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 179:
#line 849 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mtr>", yyvsp[0], "</mtr>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 180:
#line 853 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 181:
#line 858 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 182:
#line 862 "itex2MML.y"
{
  yyval = itex2MML_copy3(yyvsp[-2], " ", yyvsp[0]);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 183:
#line 868 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mtr ", yyvsp[-2], ">");
  yyval = itex2MML_copy3(s1, yyvsp[0], "</mtr>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 184:
#line 876 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 185:
#line 880 "itex2MML.y"
{
  yyval = itex2MML_copy3(yyvsp[-1], " ", yyvsp[0]);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 186:
#line 886 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 187:
#line 890 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 188:
#line 895 "itex2MML.y"
{
  yyval = itex2MML_copy_string("<mtd></mtd>");
}
break;
case 189:
#line 898 "itex2MML.y"
{
  yyval = itex2MML_copy3("<mtd>", yyvsp[0], "</mtd>");
  itex2MML_free_string(yyvsp[0]);
}
break;
case 190:
#line 902 "itex2MML.y"
{
  char * s1 = itex2MML_copy3("<mtd ", yyvsp[-2], ">");
  yyval = itex2MML_copy3(s1, yyvsp[0], "</mtd>");
  itex2MML_free_string(s1);
  itex2MML_free_string(yyvsp[-2]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 191:
#line 910 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 192:
#line 914 "itex2MML.y"
{
  yyval = itex2MML_copy3(yyvsp[-1], " ", yyvsp[0]);
  itex2MML_free_string(yyvsp[-1]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 193:
#line 920 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 194:
#line 924 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 195:
#line 928 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 196:
#line 932 "itex2MML.y"
{
  yyval = itex2MML_copy_string(yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 197:
#line 937 "itex2MML.y"
{
  yyval = itex2MML_copy2("rowspan=", yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
case 198:
#line 942 "itex2MML.y"
{
  yyval = itex2MML_copy2("colspan=", yyvsp[0]);
  itex2MML_free_string(yyvsp[0]);
}
break;
#line 2477 "y.tab.c"
    }
    yyssp -= yym;
    yystate = *yyssp;
    yyvsp -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
        yystate = YYFINAL;
        *++yyssp = YYFINAL;
        *++yyvsp = yyval;
        if (yychar < 0)
        {
            if ((yychar = yylex()) < 0) yychar = 0;
#if YYDEBUG
            if (yydebug)
            {
                yys = 0;
                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
                if (!yys) yys = "illegal-symbol";
                printf("%sdebug: state %d, reading %d (%s)\n",
                        YYPREFIX, YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == 0) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yyssp, yystate);
#endif
    if (yyssp >= yysslim && yygrowstack())
    {
        goto yyoverflow;
    }
    *++yyssp = yystate;
    *++yyvsp = yyval;
    goto yyloop;
yyoverflow:
    yyerror("yacc stack overflow");
yyabort:
    return (1);
yyaccept:
    return (0);
}
